@Echo off



:Again

 set WaitTime=10
 set myTitle=Watch Dog on \\%ComputerName% [Retry %WaitTime% sec] [%date% %time%]
 title %myTitle%

 set toRun=TASKKILL /F /FI "WINDOWTITLE eq Microsoft Visual C++ Runtime Library*" /T /IM ugtopv.exe
 Echo check [ugtopv.exe] for error window: [Microsoft Visual C++ Runtime Library*]
 %toRun%
 Echo now wating:~%WaitTime% [sec]  (last errorlevel=%errorlevel%)
 ping localhost -n %WaitTime% >nul

goto :Again